package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description 学生查询乐谱
 *
 * @author liujunchi
 * @date 2022-04-01
 */
public class StudentMusicSheetSearch  extends MusicSheetSearch{


    @ApiModelProperty(value = "登录学生id",hidden = true)
    private Long studentId;

    @ApiModelProperty("曲目分页参数")
    private Integer sheetRow = 10;

    @ApiModelProperty("专辑分页参数")
    private Integer albumRow = 3;

    @ApiModelProperty(value = "用户类型",hidden = true)
    private ClientEnum userType;



    @ApiModelProperty(value = "版本号")
    private String version;

    @ApiModelProperty(value = "平台")
    private String platform;

    // 客户端类型
    private ClientEnum clientType;


    public ClientEnum getUserType() {
        return userType;
    }

    public void setUserType(ClientEnum userType) {
        this.userType = userType;
    }


    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public Integer getSheetRow() {
        return sheetRow;
    }

    public void setSheetRow(Integer sheetRow) {
        this.sheetRow = sheetRow;
    }

    public Integer getAlbumRow() {
        return albumRow;
    }

    public void setAlbumRow(Integer albumRow) {
        this.albumRow = albumRow;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public ClientEnum getClientType() {
        return clientType;
    }

    public void setClientType(ClientEnum clientType) {
        this.clientType = clientType;
    }
}
